$bg-color: (1, #FEF7E5, #EFCA2E), (2, #D6F8F1, #2AA34A), (3, #CDEDFF, #147ED3), (4, #FFF1E8, #F58220), (5, #FFD2D2, #EB5757);
@each $number, $color, $color-text in $bg-color {
  .bg-{
    &#{$number} {
      background-color: $color;
      color: $color-text;
    }
  }
}

@mixin images-inline($image-width: null, $image-height: null, $border-radius: null, $bg-color: null, $margin-left: null) {
  .images {
    @include size($image-width, $image-height);
    min-width: $image-width;
    background-color: $bg-color;
    @include border-radius($border-radius);
  }
  .content {
    margin-left: $margin-left;
  }
}